> ## Documentation Index
> Fetch the complete documentation index at: https://docs.d-api.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Disparar uma ligação URA (áudio ou fluxo IVR)



## OpenAPI

````yaml /api-reference/openapi.json post /api/v1/voice/call
openapi: 3.1.0
info:
  title: D-API - Infraestrutura WhatsApp Completa
  description: >-
    Solução escalável e robusta para gestores de automação, SaaS e usuários
    finais que precisam de uma integração WhatsApp confiável. Oferece múltiplas
    instâncias simultâneas, webhooks em tempo real, dashboard intuitivo e API
    REST documentada com 99.9% de uptime e latência inferior a 30ms.
  version: 1.2.0
  contact:
    name: Suporte D-API
    email: suporte@d-api.cloud
    url: https://d-api.cloud
servers:
  - url: https://api.d-api.cloud
    description: Produção
security:
  - ApiKeyAuth: []
tags:
  - name: Início
    description: Endpoints base
  - name: Sessões
    description: Endpoints para gerenciamento de sessões
  - name: Mensagens
    description: Endpoints para envio de mensagens
  - name: Ligações URA
    description: >-
      Disparo de ligações de voz (URA): individual ou em massa, com áudio ou
      fluxo IVR.
  - name: SMS
    description: 'Envio de SMS: individual ou em massa.'
paths:
  /api/v1/voice/call:
    post:
      tags:
        - Ligações URA
      summary: Disparar uma ligação URA (áudio ou fluxo IVR)
      operationId: postApiV1VoiceCall
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                to:
                  minLength: 1
                  type: string
                audioUrl:
                  minLength: 1
                  type: string
                flowId:
                  minLength: 1
                  type: string
                trunk:
                  type: string
                from:
                  type: string
                audioSecs:
                  minimum: 1
                  anyOf:
                    - format: integer
                      default: 0
                      type: string
                    - minimum: 1
                      type: integer
                maxAttempts:
                  minimum: 1
                  anyOf:
                    - format: integer
                      default: 0
                      type: string
                    - minimum: 1
                      type: integer
                name:
                  minLength: 1
                  type: string
              required:
                - to
          multipart/form-data:
            schema:
              type: object
              properties:
                to:
                  minLength: 1
                  type: string
                audioUrl:
                  minLength: 1
                  type: string
                flowId:
                  minLength: 1
                  type: string
                trunk:
                  type: string
                from:
                  type: string
                audioSecs:
                  minimum: 1
                  anyOf:
                    - format: integer
                      default: 0
                      type: string
                    - minimum: 1
                      type: integer
                maxAttempts:
                  minimum: 1
                  anyOf:
                    - format: integer
                      default: 0
                      type: string
                    - minimum: 1
                      type: integer
                name:
                  minLength: 1
                  type: string
              required:
                - to
          text/plain:
            schema:
              type: object
              properties:
                to:
                  minLength: 1
                  type: string
                audioUrl:
                  minLength: 1
                  type: string
                flowId:
                  minLength: 1
                  type: string
                trunk:
                  type: string
                from:
                  type: string
                audioSecs:
                  minimum: 1
                  anyOf:
                    - format: integer
                      default: 0
                      type: string
                    - minimum: 1
                      type: integer
                maxAttempts:
                  minimum: 1
                  anyOf:
                    - format: integer
                      default: 0
                      type: string
                    - minimum: 1
                      type: integer
                name:
                  minLength: 1
                  type: string
              required:
                - to
      responses:
        '200':
          description: Resposta bem-sucedida
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: 'API Key para autenticação. Formato: <API_KEY>'

````